#
# spec file for package nano (Version 2.0.3)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           nano
URL:            http://www.nano-editor.org/
License:        GNU General Public License (GPL)
Group:          Productivity/Editors/Other
Autoreqprov:    on
Summary:        Pico Editor Clone with Enhancements
Version:        2.0.3
Release:        1
Source:         %{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
GNU nano is a small and friendly text editor. It aims to emulate the
Pico text editor while also offering a few enhancements.



Authors:
--------
    Chris Allegretta <chrisa@asty.org>
    David Lawrence Ramsey <pooka_regent@sluggy.net>
    Jordi Mallach <jordi@sindominio.net>
    Adam Rogoyski <rogoyski@cs.utexas.edu>
    Robert Siemborski <rjs3@andrew.cmu.edu>
    Rocco Corsi <rocco.corsi@sympatico.ca>
    David Benbennick <dbenbenn@math.cornell.edu>

%prep
%setup -q

%build
%configure --enable-all
make

%install
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS BUGS COPYING ChangeLog INSTALL NEWS README THANKS TODO UPGRADE
%dir %{_mandir}/fr
%dir %{_mandir}/fr/man?
%{_mandir}/man?/*.*
%{_mandir}/*/man?/*.*
%{_prefix}/bin/*
%{_prefix}/share/locale/*/*/*
%{_infodir}/*.gz
%{_datadir}/nano

%changelog -n nano
* Mon Jan 29 2007 - cthiel@suse.de
- update to version 2.0.3
  * GNU nano 2.0.3 flows toward its ending.  This release contains several
  minor optimizations to make the executable a little smaller under some
  circumstances, some translation updates, improvements to the color
  syntax for Python, and still more minor documentation updates.
* Thu Dec 21 2006 - cthiel@suse.de
- update to version 2.0.2
  * GNU nano 2.0.2 forges ahead.  This release fixes a segfault when trying
  to save in a nonexistent directory; fixes handling of strings containing
  nulls at the "Write File", "Insert File", "Execute Command", and "Go to
  Directory" prompts; fixes several minor memory leaks; fixes two more
  potential compilation warnings; adds a few translation updates; and adds
  a few more minor documentation updates.  Enjoy.
* Mon Nov 20 2006 - cthiel@suse.de
- update to version 2.0.1
  * GNU nano 2.0.1 emerges from its cocoon.  This release contains several
  bugfixes: saving one file over another will now always warn about
  overwriting it, overwriting a file is no longer possible when saving a
  new file in restricted mode, and zero-length Unicode characters are now
  highlighted properly when nano is built without regular expression
  support.  It also adds several minor documentation updates.  Have fun
  with it.
* Sun Nov 12 2006 - cthiel@suse.de
- update to version 2.0.0
  * GNU nano 2.0.0 does its little dance.  This release adds documentation
  updates and a few cosmetic tweaks.  For those who haven't been following
  nano 1.3 development, there are a ton of new features, including support
  for UTF-8, moving to a specified line and column instead of just a line,
  improved color syntax highlighting, inserting previously untypeable
  characters using "Verbatim Input" mode, and copying text into the
  cutbuffer without cutting it.  There are also fixes for some
  long-standing bugs, such as the "NumLock glitch" from nano 1.2.x, and
  the inability to unjustify text after resizing.  Finally, there are also
  a ton of translation updates and new translations, as well as new color
  syntaxes.  See the UPGRADE file for more information, and enjoy the new
  stable release.
* Mon Jun 26 2006 - cthiel@suse.de
- update to version 1.3.12
  * This release contains the last new features that nano will have before
  2.0: copying text into the cutbuffer without cutting it, indenting lines
  of marked text with a single keystroke, reworked help text that should
  be easier for new users, searching for filenames in the file browser,
  the ability to include color regexes in files separate from nanorc
  files, etc.  It also contains many bugfixes.  Text can now be
  unjustified after justifying it and resizing the window; the screen is
  now cleared when suspending; the "default" color syntax is now handled
  properly at all times; lines of text containing tabs are now wrapped at
  the right place; double-column characters are now properly displayed
  when past the right edge of the screen; invalid multi-line color regexes
  are now ignored; and so on.
* Thu May 25 2006 - cthiel@suse.de
- update to version 1.3.11
  * This release focuses mostly on bugfixes, which include better handling
  of the cursor at the statusbar prompt, support for certain combinations
  of Shift and keyboard keys in both normal and
    --rebind-keypad mode, a fix for a minor display problem after some
  searches, a real fix for a long-standing segfault when displaying overly
  long lines, and a real fix for nano's not hanging up properly in xterm
  under certain circumstances.  There are also several new features, such
  as the ability to set the characters used as brackets when searching for
  matching brackets, and tab completion of directories at the "Go To
  Directory" prompt.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Dec 24 2005 - cthiel@suse.de
- update to version 1.3.10
* Tue Oct 25 2005 - cthiel@suse.de
- update to version 1.3.9
* Tue Sep 13 2005 - cthiel@suse.de
- specfile cleanup
* Fri Jul 01 2005 - cthiel@suse.de
- update to version 1.3.8
* Wed Jun 29 2005 - cthiel@suse.de
- update to version 1.3.7
* Mon Jun 06 2005 - cthiel@suse.de
- initial package (1.2.5)
